package com.link.base.datatask.service;

import com.link.base.datatask.dao.mybatis.mapper.DataTaskMapper;
import com.link.base.datatask.model.DataTask;
import com.link.core.basic.dao.mapper.BasicMapper;
import com.link.core.basic.service.BasicServiceImpl;
import com.link.core.util.UserUtil;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class DataTaskServiceImpl extends BasicServiceImpl<DataTask> implements DataTaskService {
   @Resource
   private DataTaskMapper dataTaskMapper;

   public BasicMapper<DataTask> getBasicMapper() {
      return this.dataTaskMapper;
   }

   public void delTaskByUser() {
      DataTask dataTask = new DataTask();
      dataTask.setCreatedBy(UserUtil.getUser().getId());
      this.dataTaskMapper.delTaskByUser(dataTask);
   }
}
